package com.ruoyi.web.controller.system;

import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.system.domain.TdQuestion;
import com.ruoyi.system.service.ITdQuestionService;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import com.ruoyi.common.core.controller.BaseController;

import java.util.List;

/**
 * 保密考试
 *
 */
@Controller
@RequestMapping("/system/exam")
public class TdExamController extends BaseController{
    private String prefix = "system/exam";

    @Autowired
    private ITdQuestionService tdQuestionService;

    @RequiresPermissions("system:exam:view")
    @GetMapping()
    public String exam()
    {
        return prefix + "/exam";
    }

    /**
     * 查询题库列表返回
     */
    @RequiresPermissions("system:exam:list")
    @PostMapping("/list")
    @ResponseBody
    public TableDataInfo list(TdQuestion tdQuestion)
    {
        startPage();

        List<TdQuestion> list = tdQuestionService.selectTdQuestionList(tdQuestion);
        return getDataTable(list);
    }




}
